<ul class="nav justify-content-end">
    <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
        <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
    </li>
</ul>
<div class="input-group w-100 mt-3">
    <input type="text" class="form-control" [(ngModel)]="filtered" id="currentSearch"
        name="currentSearch" placeholder="Find Delivery Order">
    <button class="input-group-addon btn btn-info flat-style-button" (click)="filter()" *ngIf="filtered">
        <span class="fa fa-search"></span>
    </button>
    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="filtered">
        <span class="fa fa-trash-o"></span>
    </button>
</div>
</div>
<br></br>
<p-dataTable [value]="customShipment" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true" dataKey="idShipment" expandableRows="false"
    (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)">
    <p-header>
    </p-header>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelDeliverySchedule'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dateSchedulle | date:'fullDate' }}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelCodeType'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.codeType}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelColor'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.colorDescription}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelNOKA'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.idframe}}
        </ng-template>
    </p-column>
    <p-column header="Helm" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.acc1 != true">-</div>
            <div *ngIf="rowData.acc1 == true"><i class="fa fa-check"></i></div>
        </ng-template>
    </p-column>
    <p-column header="Spion Kanan" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.acc2 != true">-</div>
            <div *ngIf="rowData.acc2 == true"><i class="fa fa-check"></i></div>
        </ng-template>
    </p-column>
    <p-column header="Spion Kiri" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.acc3 != true">-</div>
            <div *ngIf="rowData.acc3 == true"><i class="fa fa-check"></i></div>
        </ng-template>
    </p-column>
    <p-column header="Tool Kit" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.acc4 != true">-</div>
            <div *ngIf="rowData.acc4 == true"><i class="fa fa-check"></i></div>
        </ng-template>
    </p-column>
    <p-column header="Buku Service" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.acc5 != true">-</div>
            <div *ngIf="rowData.acc5 == true"><i class="fa fa-check"></i></div>
        </ng-template>
    </p-column>
    <p-column header="Accu" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.acc6 != true">-</div>
            <div *ngIf="rowData.acc6 == true"><i class="fa fa-check"></i></div>
        </ng-template>
    </p-column>
    <p-column header="Buku Pedoman" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.acc7 != true">-</div>
            <div *ngIf="rowData.acc7 == true"><i class="fa fa-check"></i></div>
        </ng-template>
    </p-column>
    <p-column header="Acc8" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.acc8 != true">-</div>
            <div *ngIf="rowData.acc8 == true"><i class="fa fa-check"></i></div>
        </ng-template>
    </p-column>
    <p-column header="Acc Extra1" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.acctambah1 != true">-</div>
            <div *ngIf="rowData.acctambah1 == true"><i class="fa fa-check"></i></div>
        </ng-template>
    </p-column>
    <p-column header="Acc Extra2" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.acctambah2 != true">-</div>
            <div *ngIf="rowData.acctambah2 == true"><i class="fa fa-check"></i></div>
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelMatPromProgramMD'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.promat1 != true">-</div>
            <div *ngIf="rowData.promat1 == true"><i class="fa fa-check"></i></div>
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelMatDirectGift'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.promat2 != true">-</div>
            <div *ngIf="rowData.promat2 == true"><i class="fa fa-check"></i></div>
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit" (click)="goToDetail(rowData.idSlip)" icon="fa-eye" class="flat-button" [style]="{'height':'50px'}" pTooltip="Detail Delivery"></button>
            </button>
            <button pButton type="submit" (click)="print(rowData)" icon="fa-print" class="flat-button" pTooltip="Print Delivery">
        </button>
        <div *ngIf="(idInternalHere != rowData.idInternalsrc && rowData.currentStatus == 25)">
            <button pButton type="submit" (click)="matchingManual(rowData)" icon="fa-puzzle-piece" class="flat-button" pTooltip="Manual Matching">
            </button>
        </div>
            <!-- <button pButton type="submit" (click)="cancelDo(rowData)" icon="fa-window-close-o" class="flat-button" pTooltip="Cancel">
        </button> -->
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
</p-dataTable>

<p-dialog header="Print BAST" [(visible)]="printBASTdialog">
    <!-- <div class="modal-header">
        <h6 class="modal-title" id="myShipmentOutgoingLabel">Print BAST</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
    </div> -->
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <div class="ui-g-12">
                    <p-checkbox [(ngModel)]="bast_unit" value="Print BAST Unit" label="Print BAST Unit" binary="true"></p-checkbox>
                </div>
                <div class="ui-g-12">
                    <p-checkbox [(ngModel)]="bast_acc" value="Print BAST Aksesoris" label="Print BAST Aksesoris" binary="true"></p-checkbox>
                </div>
                <div class="ui-g-12">
                    <p-checkbox [(ngModel)]="bast_mat_prom" value="Print BAST Material Promo" label="Print BAST Material Promo" binary="true"></p-checkbox>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="row">
            <div style="margin-right:10px">
                <button pButton type="button" (click)="cancel()" [disabled]="!buttonVisible" label="Batal" icon="fa-ban" class="ui-button-danger flat-label-button">
                </button>
            </div>
            <div *ngIf="errorprint; then printError else printFix"> </div>
            <ng-template #printFix>
                <button pButton type="button" (click)="printBAST()" [disabled]="!buttonVisible" label="Print" class="ui-button-primary flat-label-button">
                </button>
            </ng-template>
            <ng-template #printError>
                <button pButton type="button" (click)="printWithError()" label="Print" class="ui-button-primary flat-label-button">
                </button>
                <!-- <div class="col-md-12">
                    <div>
                        <label>Aksesoris tidak lengkap data tidak bisa di proses lebih lanjut</label>
                    </div>
                </div> -->
            </ng-template>
        </div>
    </div>
</p-dialog>